// Max versin of pong~
// Zachary Seldess, 09/29/10

var mode = 0; // 0 == fold, 1 == wrap
var modSpace = new Array(0., 1.); // initialize modulo range as arguments (default 0. - 1.)

if (jsarguments.length == 2) { // if only one arg, set upper threshold of mod range, lower remains 0.
    modSpace[1] = jsarguments[1];
}
else if (jsarguments.length == 3) { // if 2 args, set lower and upper threshold of mod range
    modSpace[0] = jsarguments[1];
    modSpace[1] = jsarguments[2];
}
else if (jsarguments.length >= 4) { // if 3 args, set mode, lower and upper threshold of mod range
    mode = jsarguments[1];
    if (mode <= 0) mode = 0;
    else mode = 1;
    modSpace[0] = jsarguments[2];
    modSpace[1] = jsarguments[3];
}

function setMod() { // set modulo range with a message
    var a = arrayfromargs(arguments);
    if (a.length < 2) {
        modSpace[1] = jsarguments[1];
    }
    else {
        modSpace[0] = a[0];
        modSpace[1] = a[1];
    }    
}

function setMode(pongMode) { // set modulo range with a message
    mode = pongMode;
    if (mode <= 0) mode = 0;
    else mode = 1;
}

function msg_float(v)
{
    customModulo(v);
}

function msg_int(v)
{
    customModulo(v);
}

function anything() { // if input isn't an int or float, do nothing
}

function customModulo(num) { 
    var spread = Math.abs(modSpace[1] - modSpace[0]);
    var modNum;
	   
    if (mode == 0) { // folding
        if (num < modSpace[0]) {
			var tempDiff = (modSpace[0] - num) % (spread * 2.);
			if (tempDiff <= spread) {
				modNum = modSpace[0] + tempDiff;
			}
			else {
				modNum = modSpace[1] - (tempDiff - spread);
			}	
            //var tempMod = ((modSpace[0] - num) / spread) % 1.;
            //modNum = modSpace[0] + (tempMod * spread);
        }
        else if (num > modSpace[1]) {
			var tempDiff = (num - modSpace[1]) % (spread * 2.);
			if (tempDiff <= spread) {
				modNum = modSpace[1] - tempDiff;
			}
			else {
				modNum = modSpace[0] + (tempDiff - spread);
			}
            //var tempMod = ((num - modSpace[1]) / spread) % 1.;
            //modNum = modSpace[1] - (tempMod * spread);
        }
        else modNum = num;
    
        outlet(0, modNum);
    }

    else if (mode == 1) { // wrapping
        if (num < modSpace[0]) {
            var tempMod = ((modSpace[0] - num) / spread) % 1.;
            modNum = modSpace[1] - (tempMod * spread);
        }
        else if (num > modSpace[1]) {
            var tempMod = ((num - modSpace[1]) / spread) % 1.;
            modNum = modSpace[0] + (tempMod * spread);
        }
        else modNum = num;
    
        outlet(0, modNum);
    }    
}